#ifndef __KK_GROUP_DB_H__
#define __KK_GROUP_DB_H__
#include "cJSON.h"
enum{
	GROUP_INFO_DB_ID = 0,
	GROUP_INFO_DB_NAME,
	GROUP_INFO_DB_CCUROOMID,
};

enum{
	GROUP_DEVICE_DB_ID = 0,
	GROUP_DEVICE_DB_EPNUM,
	GROUP_DEVICE_DB_DEVICECODE,
	GROUP_DEVICE_DB_PARENT_DEVICECODE,
};

int kk_group_db_init(void);
int kk_group_db_insert(const char* groupId,const char* groupName,const char* ccuRoomId,const char* epNum,const char* deviceCode,const char* parent);
int kk_group_db_delete(const char* groupId);
cJSON *kk_group_db_query(int isSync);
cJSON *kk_group_device_db_exe_act(const char *groupId,int controlType,int propertyValue,char *parent);
int kk_group_device_db_find_parent(const char *groupId,char *parent);


#endif
